using Sepehr.ApiGateway.Partners.Contracts.Tour.Booking.V3.Lock.RequestModel;
using Sepehr.ApiGateway.Partners.Contracts.Tour.Booking.V3.Lock.ResponseModel;
using SepehrTourApiSampleClient.BuiltinTypeExtensions;

namespace SepehrTourApiSampleClient.Booking.Lock.WebApi
{
    public class LockApi
    {
        public static Response Post(string url, Request request)
        {
            var response = HttpClientHelper.Post(
                $"{url}/api/Partners/Tour/Booking/V3/Lock",
                request.SerializeToJson());

            return response.DeserializeFromJson<Response>();
        }
    }
}
